Summary: The Omni Print Driver System
Name: Omni
Version: 0.7.2
Release: 4
License: LGPL
URL: http://oss.software.ibm.com/developer/opensource/linux/projects/omni/
Group: Applications/Publishing
Source0: http://prdownloads.sourceforge.net/omniprint/%{name}-%{version}.tar.gz
Patch0: omni-0.7.1-brokenmakefile.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: libxml2-devel cups-devel

%description
The Omni printer driver provides support for over 300 printers using
the Ghostscript framework. In addition, it provides a model for dynamically
loading printer drivers, creating new devices by editing device description
files, and simplifies new printer driver development by allowing for the
subclassing of previous device features.


%package foomatic
Summary: Foomatic data for the Omni Print Driver System
Group: System Environment/Libraries
Requires: Omni = %{version}-%{release}, foomatic
PreReq: fileutils

%description foomatic
Foomatic driver meta information for the Omni Print Driver framework.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .brokenmakefile

# move readme into the directory, where it belongs
mv ../Omni.Readme.1st .


%build
# Make the omni libs
CFLAGS=$RPM_OPT_FLAGS
CXXFLAGS=$RPM_OPT_FLAGS
export CFLAGS CXXFLAGS
./setupOmni
make %{?_smp_mflags}

# Make the foomatic files
cd Foomatic
make localInstall FOOMATICROOT=$(pwd)
# Watch out for bug #65361
if [ ! -s foomatic-db/db/source/driver/omni.xml ]; then
	# Don't ask
	cd ..
	make install INSTALLROOT=$RPM_BUILD_ROOT/tmp/killthis \
		     FOOMATICROOT=$RPM_BUILD_ROOT/tmp/killthis/foomatic
	cd Foomatic
fi
[ -s foomatic-db/db/source/driver/omni.xml ] || exit 1
cd ..


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

# Install the libs.
mkdir -p $RPM_BUILD_ROOT/usr/lib/Omni
find . Brother Canon Epson 'HP LaserJet' IBM KS \
	Okidata Panasonic Star Kyocera \
	-maxdepth 2 -name "*.so" \
	-exec install '{}' $RPM_BUILD_ROOT/usr/lib/Omni/ ';'

# Install the foomatic data
mkdir -p $RPM_BUILD_ROOT/usr/share/foomatic/db/source/{driver,opt}
cp -a Foomatic/foomatic-db/db/source/driver/* \
	$RPM_BUILD_ROOT/usr/share/foomatic/db/source/driver/
cp -a Foomatic/foomatic-db/db/source/opt/* \
	$RPM_BUILD_ROOT/usr/share/foomatic/db/source/opt/

%clean
rm -rf $RPM_BUILD_ROOT

%post foomatic
# zap the cache
/bin/rm -rf /var/cache/foomatic/{pcache,compiled}/*

%files
%defattr(-,root,root)
%dir /usr/lib/Omni
/usr/lib/Omni/*

%files foomatic
%defattr(-,root,root)
/usr/share/foomatic/db/*/*


%changelog
* Wed Jan 29 2003 Tim Waugh <twaugh@redhat.com> 0.7.2-4
- Don't exclude ppc any more.

* Tue Jan 28 2003 Tim Waugh <twaugh@redhat.com> 0.7.2-3
- Exclude ppc (still waiting on bug #79732).

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.7.2-2
- rebuilt

* Tue Dec 17 2002 Tim Waugh <twaugh@redhat.com>
- Don't exclude ppc any more.

* Sat Dec 14 2002 Tim Waugh <twaugh@redhat.com> 0.7.2-1
- Exclude ppc (waiting on bug #79732).
- 0.7.2.

* Fri Nov  8 2002 Tim Waugh <twaugh@redhat.com> 0.7.1-1
- 0.7.1.
- No longer need automake or cxxflags patches.
- Fix Makefile problem.

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Wed Aug  7 2002 Tim Waugh <twaugh@redhat.com> 0.7.0-5
- Fix CXXFLAGS problems in configure.in and Makefile.am.  Now it builds
  again.

* Tue Jul 23 2002 Tim Waugh <twaugh@redhat.com> 0.7.0-4
- Rebuild in new environment.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.7.0-3
- automated rebuild

* Thu Jun 20 2002 Tim Waugh <twaugh@redhat.com> 0.7.0-2
- Actually ship the object files in the package (oops).

* Tue Jun 18 2002 Tim Waugh <twaugh@redhat.com> 0.7.0-1
- 0.7.0.
- No longer need filebuf, gcc31, or gcc-bug patches.
- Build requires cups-devel (bug #66424).

* Tue May 28 2002 Tim Waugh <twaugh@redhat.com> 0.6.1-2
- Work around a GCC bug.
- Install Kyocera support (bug #65361).
- Build requires libxml2-devel.
- Work around a GCC bug.

* Mon May 20 2002 Tim Waugh <twaugh@redhat.com> 0.6.1-1
- 0.6.1.
- No longer need cflags patch.
- Apply the GCC-3.x patch.
- Updated gcc31 patch.
- Add patch from CVS to fix compilation with newer libstdc++.
- Turn off JobDialog (requires gtkmm).

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 0.5.1-3
- Rebuild in new environment.
- Don't apply GCC-3.x patch for now.

* Fri Feb  2 2002 Tim Waugh <twaugh@redhat.com> 0.5.1-2
- Build with -fPIC.
- Build on ia64 again.

* Tue Jan 22 2002 Tim Waugh <twaugh@redhat.com> 0.5.1-1
- 0.5.1.
- Fix foomatic sub-package group (bug #56090).
- Fix typo in foomatic sub-package description.
- REALLY zap the foomatic cache on install.
- The foomatic sub-package now prereqs fileutils (for the %%post scriptlet).
- Omni_path patch no longer needed.
- Fix some C++ issues so that GCC 3.1 is happier.
- Don't build on ia64 for the moment (GCC bug #58653).
- Fix Makefiles so that CFLAGS can be adjusted easily on the command line.
- Use RPM_OPT_FLAGS (bug #58654).

* Thu Oct 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-4
- zap the foomatic cache on install

* Thu Oct 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-2
- patch to make omni seek in /usr/lib/Omni and /opt/Omni/bin

* Mon Oct 15 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.5.0-1
- initial packaging
